%global anolis_release 1

Name: libtraceevent
Version: 1.7.1
Release: %{anolis_release}%{?dist}
License: LGPLv2+ and GPLv2+
Summary: Library to parse raw trace event formats

URL: https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/
Source0: https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/snapshot/libtraceevent-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: docbook-style-xsl

%global __provides_exclude_from ^%{_libdir}/traceevent/plugins


%description
libtraceevent is a library to parse raw trace event formats.

%package devel
Summary: Development headers of %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development headers of %{name}-libs

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%setup -q

%build
%set_build_flags
%make_build prefix=%{_prefix} libdir=%{_libdir} \
  MANPAGE_XSL=`rpm -ql docbook-style-xsl | grep manpages/docbook.xsl` all doc

%install
%make_install prefix=%{_prefix} libdir=%{_libdir} install doc-install
rm -rf %{buildroot}/%{_libdir}/libtraceevent.a

%files
%license LICENSES/LGPL-2.1
%license LICENSES/GPL-2.0
%{_libdir}/traceevent/
%{_libdir}/libtraceevent.so.%{version}
%{_libdir}/libtraceevent.so.1
%{_mandir}/man3/*

%files doc
%doc %{_docdir}/%{name}-doc/*

%files devel
%{_includedir}/traceevent/
%{_libdir}/libtraceevent.so
%{_libdir}/pkgconfig/libtraceevent.pc

%changelog
* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 1.7.1-1
- New version 1.7.1

* Wed Mar 16 2022 Shile Zhang <shile.zhang@linux.alibaba.com> - 1.5.2-1
- Init commit of libtraceevent for Anolis OS 23 (Shile Zhang)
